## samba 3.0.28a-1ubuntu4.8trisquel2

=== debian/changelog ===
samba (3.0.28a-1ubuntu4.8trisquel2) trisquel; urgency=low

  * Compiled for Trisquel

 -- Rubén Rodríguez Pérez <ruben@trisquel.info>  Thu, 06 Aug 2009 07:29:41 +0000

samba (3.0.28a-1ubuntu4.8) hardy-proposed; urgency=low

  * Added debian/patches/fix-winbindd-crash-dc.patch:
     - Fix winbindd crash when calling getent group on domain controller (LP: #328874)
     - upstream commit in 3.0 branch: db4a435d235bedf48d668a0f4418dd46f38044ed
     - upstream bug: #5906

 -- Adrien Cunin <adri2000@ubuntu.com>  Mon, 16 Feb 2009 22:16:22 +0100

samba (3.0.28a-1ubuntu4.7) hardy-proposed; urgency=low

  * debian/patches/cifs-upcall-backport.patch: Backport cifs.upcall to
    samba 3.0.28a, to support kerberos-authenticated CIFS kernel mounts.
    LP: #236830.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Oct 2008 21:36:04 +0000

samba (3.0.28a-1ubuntu4.6) hardy-proposed; urgency=low

  * debian/patches/fix-machine-account-password.patch:
    - Don't return NT_STATUS_PASSWORD_MUST_CHANGE error on machine account
      logon. Fix backported from
      http://git.samba.org/?p=samba.git;a=commit;h=10da498a2349bf5944183adf5a9284eafa2b8b74.
      (LP: #259110)
 
 -- Chuck Short <zulcss@ubuntu.com>  Wed, 20 Aug 2008 16:36:08 +0000

samba (3.0.28a-1ubuntu4.5) hardy-proposed; urgency=low

  * debian/patches/fix-ldap-password-sync.patch:
    - Backported fix for ldap passwd sync = only. Patch taken from http://gitweb.samba.org/?p=samba.git;a=commit;h=1dd8fa9a521046f1de8173ac00224706c5249665 (LP: #242325)
  * debian/patches/fix-wireless-no-found.patch:
    - Backported fix for nmbd shutdown when network is disconnected. Patch taken from http://git.samba.org/?p=samba.git;a=blobdiff;f=source/nmbd/nmbd.c;h=9797a7adb673b0774672ca586b1f6b625c4faf5c;hp=00d252940afc33bcf34e9d98dca13c89b15b0408;hb=4b03f4eb2da7a523967ace3d13e79406ade07d47;hpb=085887eed71ed1ffdb30100d83763e671ea10eee (LP: #180493) 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 03 Jul 2008 12:27:14 -0400

samba (3.0.28a-1ubuntu4.4) hardy-security; urgency=low

  * RELIABILITY UPDATE: the patch for CVE-2008-1105 introduced a regression
    with certain client and server interactions with large file sizes.
  * debian/patches/security-CVE-2008-1105_pt2.patch: adjust cli_negprot()
    to properly calculate buffer sizes
  * References
    LP: #241448
    https://bugzilla.samba.org/show_bug.cgi?id=5517

 -- Jamie Strandboge <jamie@ubuntu.com>  Sat, 28 Jun 2008 09:34:21 -0400

samba (3.0.28a-1ubuntu4.3) hardy-proposed; urgency=low

  * debian/patches/disable-weak-auth.patch: roll back the change to the 
    client defaults of disallowing negotiation of lanman authentication, 
    since this causes usability problems for libsmbclient-based clients 
    that can't present meaningful error messages to the user.  Still 
    disallow the plaintext authentication method, which is much less
    likely to be used on NASes of any sort and age.  LP: #209520.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 19 Jun 2008 17:20:13 +0000

samba (3.0.28a-1ubuntu4.2) hardy-security; urgency=low

  * SECURITY UPDATE: heap overflow when processing crafted SMB responses
  * debian/patches/security-CVE-2008-1105.patch: update util_sock.c to require
    specifying the buffer size and update client.c, smbctool.c, smbfilter.c,
    and process.c for these changes
  * References:
    CVE-2008-1105
    LP: #235912

 -- Jamie Strandboge <jamie@ubuntu.com>  Tue, 17 Jun 2008 12:47:38 -0400

samba (3.0.28a-1ubuntu4.1) hardy-proposed; urgency=low

  *  debian/patches/fix-server-signature.patch: 
     - Fix for nautlius sharing issues with Windows 2003. Patch 
       taken from http://git.samba.org/?p=samba.git;a=commit;h=67f90361a07841972a01a4faf575da25ebbbb29c (LP: #217137)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 03 Jun 2008 08:42:42 -0400

samba (3.0.28a-1ubuntu4) hardy; urgency=low

  [ Mathias Gug ]
  * debian/samba-common.postinst:
    Fix upgrade from a first installation done with feisty, edgy or dapper.
    (LP: #201059).
  * debian/smb.conf.feisty:
    Add default smb.conf shipped in feisty.

  [ Steve Langasek ]
  * When populating the new sambashare group, it's not an error if the
    user simply doesn't exist; test for this case and let the install
    continue instead of aborting.  LP: #206036.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 02 Apr 2008 21:07:11 +0000

samba (3.0.28a-1ubuntu3) hardy; urgency=low

  * debian/patches/fix-smbprinting-os2.patch
    - Fixes printing large documents from OS/2. (LP: #60931) 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Mar 2008 08:37:31 -0400

samba (3.0.28a-1ubuntu2) hardy; urgency=low

  * debian/smb.conf
    - Add map to guest = Bad user, maps bad username to guest access. 
      (LP: #32067)

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Mar 2008 14:24:13 -0400

samba (3.0.28a-1ubuntu1) hardy; urgency=low

  * Merge from Debian unstable, remaining changes:
    * debian/patches/VERSION.patch:
      - set SAMBA_VERSION_VENDOR_SUFFIX to Ubuntu
    * debian/smb.conf:
      - add "(Samba, Ubuntu)" to server string.
      - comment out the default [homes] shares, and add a comment about
        "valid users = %S" to show users how to restrict access to
        \\server\username to only username.
    * debian/samba-common.config:
      - do not change priority to HIGH if dhclient3 is installed
      - use priority medium instead of high for the workgroup question
    * debian/winbind.files:
      - include additional files
    * debian/patches/fix-documentation.patch:
      - fix typos in net(8) and smb.conf(5) man pages
    * debian/mksambapasswd.awk:
      - Don't add user with UID less than 1000 to smbpasswd.
    * debian/samba.init:
      - add 'status' option for LSB conformance.
    * Updated control version.
    * Set Ubuntu maintainer address.
  * Dropped changes:
    * debian/samba.if-up: this ifup hook isn't actually needed with
      current Samba.


=== debian/control ===
Source: samba
Section: net
Priority: optional
Maintainer: Rubén Rodríguez <ruben@trisquel.info>
XSBC-Original-Maintainer: Debian Samba Maintainers <pkg-samba-maint@lists.alioth.debian.org>
Uploaders: Eloy A. Paris <peloy@debian.org>, Steve Langasek <vorlon@debian.org>, Christian Perrier <bubulle@debian.org>, Noèl Köthe <noel@debian.org>, Adam Conrad <adconrad@0c3.net>, Peter Eisentraut <petere@debian.org>
Build-Depends: debhelper (>= 5.0.37.2), libpam0g-dev, libreadline5-dev, libcupsys2-dev (>=1.1.20final+cvs20040330-4), libacl1-dev (>= 2.2.11) [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc], libkrb5-dev, libldap2-dev, po-debconf, binutils (>= 2.14.90.0.7), libpopt-dev, dpkg-dev (>= 1.13.9), quilt (>= 0.40), uuid-dev, libkeyutils-dev [alpha amd64 arm armeb armel hppa i386 ia64 lpia m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc]
Build-Conflicts: libfam-dev
Standards-Version: 3.7.3

Package: samba
Architecture: any
Depends: samba-common (= ${binary:Version}), logrotate, ${shlibs:Depends}, ${misc:Depends}, libpam-runtime (>= 0.76-13.1), libpam-modules, lsb-base (>= 3.0-6), procps, update-inetd, adduser
Suggests: openbsd-inetd | inet-superserver, smbldap-tools
Replaces: samba-common (<= 2.0.5a-2)
Description: a LanManager-like file and printer server for Unix
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the components necessary to turn your
 Debian GNU/Linux box into a powerful file and printer server.
 .
 Currently, the Samba Debian packages consist of the following:
 .
  samba - LanManager-like file and printer server for Unix.
  samba-common - Samba common files used by both the server and the client.
  smbclient - LanManager-like simple client for Unix.
  swat - Samba Web Administration Tool
  samba-doc - Samba documentation.
  samba-doc-pdf - Samba documentation in PDF format.
  smbfs - Mount and umount commands for the smbfs (kernels 2.2.x and above).
  libpam-smbpass - pluggable authentication module for SMB/CIFS password 
                   database
  libsmbclient - Shared library that allows applications to talk to SMB/CIFS
                 servers
  libsmbclient-dev - libsmbclient shared libraries
  winbind - Service to resolve user and group information from Windows NT 
            servers
 .
 It is possible to install a subset of these packages depending on
 your particular needs. For example, to access other SMB/CIFS servers you
 should only need the smbclient and samba-common packages.
 .
 http://www.samba.org/

Package: samba-common
Architecture: any
Depends: libpam-modules, ucf, ${shlibs:Depends}, ${misc:Depends}
Replaces: samba (<< 3.0.20b-1)
Description: Samba common files used by both the server and the client
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the common files that are used by both the server
 (provided in the samba package) and the client (provided in the smbclient
 package).

Package: smbclient
Architecture: any
Depends: samba-common (= ${binary:Version}), ${shlibs:Depends}
Replaces: samba (<< 2.999+3.0.alpha21-4), smbget
Conflicts: smbget
Provides: samba-client
Suggests: smbfs
Description: a LanManager-like simple client for Unix
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains some client components of the Samba suite. In
 particular it includes the command line utilities smbclient, smbtar,
 and smbspool. If you want to mount shares exported from Microsoft
 Windows machines or a Samba server you must install the smbfs package.

Package: swat
Architecture: any
Depends: samba (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, openbsd-inetd | inet-superserver
Recommends: samba-doc (= ${source:Version})
Description: Samba Web Administration Tool
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains the components of the Samba suite that are needed
 for Web administration of the Samba server.
 .
 SWAT will rewrite the smb.conf file. It will rearrange the entries and
 delete all comments, include= and copy= options. If you use a carefully
 crafted smb.conf, you should probably avoid using SWAT.

Package: samba-doc
Section: doc
Architecture: all
Suggests: samba-doc-pdf
Description: Samba documentation
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball, except in PDF format.

Package: samba-doc-pdf
Section: doc
Architecture: all
Description: Samba documentation (PDF format)
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains all the documentation that comes in the original
 tarball in PDF format.

Package: smbfs
Section: otherosfs
Priority: optional
Architecture: any
Depends: netbase (>= 2.02), samba-common (= ${binary:Version}), ${shlibs:Depends}
Suggests: smbclient
Replaces: smbfsx
Conflicts: smbfsx, suidmanager (<< 0.50)
Description: mount and umount commands for the smbfs (for kernels >= than 2.2.x)
 Smbfs is a filesystem which understands the SMB/CIFS protocol.
 This is the protocol Windows for Workgroups, Windows NT or
 LAN Manager use to talk to each other. It was inspired by
 samba, the program by Andrew Tridgell that turns any unix
 site into a file server for DOS or Windows clients.
 .
 If you want to use command-line utilities like smbclient, smbtar
 and/or smbspool you just need to install the smbclient package.

Package: libpam-smbpass
Section: admin
Priority: extra
Architecture: any
Depends: ${shlibs:Depends}, samba-common (= ${binary:Version})
Suggests: samba
Description: pluggable authentication module for SMB/CIFS password database
 This is a stackable PAM module that allows a system administrator to easily
 migrate to using encrypted passwords for Samba and to keep smb passwords in
 sync with unix passwords.  Unlike other solutions, it does this without
 requiring users to change their existing passwords or login to Samba using
 cleartext passwords.

Package: libsmbclient
Section: libs
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}
Description: shared library that allows applications to talk to SMB/CIFS servers
 libsmbclient allows to write applications that use the SMB/CIFS protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains the libsmbclient shared library.

Package: libsmbclient-dev
Section: libdevel
Priority: extra
Architecture: any
Depends: libsmbclient (= ${binary:Version})
Description: libsmbclient static libraries and headers
 libsmbclient allows to write applications that use the SMB/CIFS protocol.
 This gives applications the ability to talk to Microsoft Windows servers
 and Unix servers running Samba.
 .
 This package contains libraries and headers needed to build applications
 that use SMB/CIFS services.

Package: winbind
Section: net
Priority: optional
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, samba-common (= ${binary:Version}), lsb-base (>= 3.0-6), adduser
Replaces: samba (<= 2.2.3-2)
Description: service to resolve user and group information from Windows NT servers
 This package provides the winbindd daemon, which provides a
 service for the Name Service Switch capability that is present
 in most modern C libraries (like the GNU C Library - glibc.)
 .
 The service provided by winbindd is called `winbind' and
 can be used to resolve user and group information from a
 Windows NT server. The service can also provide authentication
 services via an associated PAM module.

Package: samba-dbg
Section: devel
Priority: extra
Architecture: any
Depends: samba (= ${binary:Version})
Description: Samba debugging symbols
 The Samba software suite is a collection of programs that
 implements the SMB/CIFS protocol for unix systems, allowing you to serve
 files and printers to Windows, NT, OS/2 and DOS clients. This protocol
 is sometimes also referred to as the LanManager or NetBIOS protocol.
 .
 This package contains debugging symbols for the programs included in
 the samba and smbclient packages.

=== debian/rules ===
#!/usr/bin/make -f

# This has to be exported to make some magic below work.
export DH_OPTIONS

# Set the host and build architectures for use with config.cache loading,
# cross-building, etc.
DEB_HOST_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE	:= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_ARCH_OS	:= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

export DEB_HOST_GNU_TYPE
export DEB_BUILD_GNU_TYPE
export DEB_HOST_ARCH_OS

pyversion := $(shell pyversions -vd)

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
  CFLAGS += -O0
else
  CFLAGS += -O2
endif

include /usr/share/quilt/quilt.make

DESTDIR=`pwd`/debian/tmp

conf_args = \
		--cache-file=./config.cache \
		--with-fhs \
		--enable-shared \
		--enable-static \
		--disable-pie \
		--prefix=/usr \
		--sysconfdir=/etc \
		--libdir=/etc/samba \
		--with-privatedir=/etc/samba \
		--with-piddir=/var/run/samba \
		--localstatedir=/var \
		--with-rootsbindir=/sbin \
		--with-pammodulesdir=/lib/security \
		--with-pam \
		--with-syslog \
		--with-utmp \
		--with-readline \
		--with-pam_smbpass \
		--with-libsmbclient \
		--with-winbind \
		--with-shared-modules=idmap_rid,idmap_ad \
		--with-automount \
		--with-ldap \
		--with-ads \
		--without-smbmount \
		--with-dnsupdate

ifeq ($(DEB_HOST_ARCH_OS),linux)
  conf_args += \
		--with-cifsmount \
		--with-acl-support \
		--with-quotas
  mount_cifs	= yes
  smbfs		= yes
else
  conf_args +=	--without-quotas --without-cifsmount
  mount_cifs	= no
  smbfs		= no
endif

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  conf_args += --build $(DEB_BUILD_GNU_TYPE)
else
  conf_args += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

configure: patch configure-stamp
configure-stamp:
	dh_testdir

	if [ -f debian/config.cache ]; then \
		cp -f debian/config.cache source/config.cache; \
	fi

	[ -f source/Makefile ] || (cd source && CFLAGS="$(CFLAGS)" ./configure $(conf_args))

	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir

	$(MAKE) -C source headers
	$(MAKE) -C source all nsswitch/libnss_wins.so

	touch build-stamp

clean:	clean-patched unpatch

clean-patched: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f source/Makefile ] || $(MAKE) -C source distclean

	# Delete stuff left after a build that is not deleted by 'make clean'
	rm -f source/bin/wbinfo source/bin/winbindd source/bin/debug2html \
	source/bin/libsmbclient.a \
	source/client/mount.cifs source/client/umount.cifs \
	source/include/stamp-h

	debconf-updatepo

	dh_clean

ifeq ($(smbfs),no)
  DH_EXTRAS=-Nsmbfs
endif

install: DH_OPTIONS=$(DH_EXTRAS)
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	mkdir -p $(DESTDIR)/usr/lib/cups/backend $(DESTDIR)/usr/share/samba \
	         $(DESTDIR)/etc/pam.d $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d

	$(MAKE) -C source install DESTDIR=$(DESTDIR)

	mv $(DESTDIR)/usr/lib/samba/libsmbclient.so $(DESTDIR)/usr/lib/samba/libsmbclient.so.0.1
	ln -s libsmbclient.so.0.1 $(DESTDIR)/usr/lib/samba/libsmbclient.so.0
	ln -s libsmbclient.so.0.1 $(DESTDIR)/usr/lib/samba/libsmbclient.so

	# Starting with Samba 3.0.6 libsmbclient.so is installed in
	# /usr/lib/samba. We don't want it there since it is not in the
	# default library path. Here we move it to /usr/lib/.
	mv $(DESTDIR)/usr/lib/samba/libsmbclient* $(DESTDIR)/usr/lib/

	# Install other stuff not installed by "make install"
	install -m 0755 debian/mksmbpasswd.awk $(DESTDIR)/usr/sbin/mksmbpasswd
	install -m 0644 debian/mksmbpasswd.8 $(DESTDIR)/usr/share/man/man8/mksmbpasswd.8
	install -m 0644 source/nsswitch/libnss_winbind.so $(DESTDIR)/lib/libnss_winbind.so.2
	install -m 0644 source/nsswitch/libnss_wins.so $(DESTDIR)/lib/libnss_wins.so.2

ifeq ($(mount_cifs),yes)
	install -m 0755 debian/mount.smbfs $(DESTDIR)/sbin/mount.smbfs
endif

	# For CUPS to support printing to samba printers, it's necessary
	#	to make the following symlink (according to
	#	Erich Schubert <debian@vitavonni.de> in #109509):
	ln -s ../../../bin/smbspool $(DESTDIR)/usr/lib/cups/backend/smb

	cp debian/smb.conf* $(DESTDIR)/usr/share/samba/
	install -m755 debian/panic-action $(DESTDIR)/usr/share/samba/
	# Install samba-common's conffiles - they'll get moved later to their
	# correct place by dh_movefiles.
	cp debian/gdbcommands $(DESTDIR)/etc/samba/
	cp debian/samba.pamd $(DESTDIR)/etc/pam.d/samba
	install -m755 debian/samba-common.dhcp $(DESTDIR)/etc/dhcp3/dhclient-enter-hooks.d/samba

	dh_movefiles

# Build architecture-independent files here.
# Pass -i to all debhelper commands in this target to reduce clutter.
binary-indep: DH_OPTIONS=-i
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs -A debian/README.build
	# Ignore COPYING. Otherwise, an extra copy of the GPL licence 
	# in smbldap-tools example is included in samba-doc
	dh_installexamples -Xsmbldap-tools-* -XCOPYING
	dh_installchangelogs
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
# Pass -a to all debhelper commands in this target to reduce clutter.

binary-arch: DH_OPTIONS=-a $(DH_EXTRAS)
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdebconf
	dh_installdocs -A debian/README.build
	dh_installexamples
	dh_installlogrotate
	dh_installlogcheck
	DH_OPTIONS= dh_installinit -psamba -- "defaults 20 19"
	DH_OPTIONS= dh_installinit -pwinbind
	dh_installcron 
	for pkg in samba samba-common smbfs winbind; do \
	  install -m 0644 -D debian/$$pkg.lintian debian/$$pkg/usr/share/lintian/overrides/$$pkg || exit; \
	done
	dh_installchangelogs -Nlibpam-smbpass
	DH_OPTIONS= dh_installchangelogs -plibpam-smbpass source/pam_smbpass/CHANGELOG
	DH_OPTIONS= dh_strip -psamba -psmbclient -pwinbind -psamba-common --dbg-package=samba-dbg
	DH_OPTIONS= dh_strip -Nsamba -Nsmbclient -Nwinbind -Nsamba-common
	dh_link
	dh_compress
	dh_fixperms

	# Upstream makefile installs this using "install" without -m, so
	# it becomes executable
	chmod a-x debian/libsmbclient-dev/usr/include/libsmbclient.h

ifeq ($(mount_cifs),yes)
	chmod u+s debian/smbfs/sbin/mount.cifs
	chmod u+s debian/smbfs/sbin/umount.cifs
endif

	# Set some reasonable default perms for the samba logdir.
	chmod 0750 debian/samba-common/var/log/samba/
	chown root:adm debian/samba-common/var/log/samba/
	chmod 1777 debian/samba/var/spool/samba/

	DH_OPTIONS= dh_makeshlibs -plibsmbclient -V'libsmbclient (>= 3.0.2a-1)'
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

update-archs:
	sed -i -e "s/libacl1-dev \(([^)]\+)\) \[[^]]\+\]/libacl1-dev \1 [`type-handling any linux-gnu`]/g" \
		debian/control

.PHONY: build clean binary-indep binary-arch binary install configure patch unpatch update-archs

## samba 3.2.5

=== docs-xml/Makefile ===
#################################################################
# Makefile for Samba Documentation
# Authors:	
# 		James Moore <jmoore@php.net>
# 		Gerald Carter <jerry@samba.org>
# 		Jelmer Vernooij <jelmer@samba.org>
include Makefile.settings

# Docs to build
MAIN_DOCS = $(patsubst %/index.xml,%,$(wildcard */index.xml))
MANPAGES3 = $(wildcard $(MANPAGEDIR3)/*.?.xml)
export TEXINPUTS=xslt/latex:.:

# Lists of files to process
LATEX_FIGURES = xslt/figures/caution.pdf xslt/figures/important.pdf xslt/figures/note.pdf xslt/figures/tip.pdf xslt/figures/warning.pdf
MANPAGES_PLUCKER = $(patsubst $(MANPAGEDIR3)/%.xml,$(PLUCKERDIR)/%.pdb,$(MANPAGES3))

DATETIME := $(shell date +%Y%m%d%H%M%S)

ifeq ($(PROFILE), Y)
XSLTPROC += --profile --load-trace --timing
endif

ifndef OUTPUTDIR
Makefile.settings: configure
	@echo Makefile.settings not present, trying to run configure...
	./configure

configure: configure.ac
	@echo configure not present, trying to regenerate it...
	autoreconf
endif

help: 
	@echo "Supported make targets:"
	@echo " release - Build the docs needed for a Samba release"
	@echo " all - Build all docs that can be build using the utilities found by configure"
	@echo " everything - Build all of the above"
	@echo " pdf,tex,dvi,ps,manpages3,txt,pearson,fo,htmlhelp - Build specific output format"
	@echo " html - Build multi-file HTML versions"
	@echo " html-single - Build single-file HTML versions"
	@echo " htmlman3 - Build HTML version of manpages"
	@echo " undocumented - Output list of undocumented smb.conf options"
	@echo " samples - Extract examples"

$(DOCBOOKDIR)/Samba3-ByExample.xml: $(filter-out Samba3-ByExample/index.xml,$(wildcard Samba3-ByExample/*.xml))
$(DOCBOOKDIR)/Samba3-HOWTO.xml: $(filter-out Samba3-HOWTO/index.xml,$(wildcard Samba3-HOWTO/*.xml)) Samba3-HOWTO-attributions.xml
Samba3-HOWTO/manpages.xml: $(MANPAGEDIR3)/smb.conf.5.xml
$(DOCBOOKDIR)/Samba3-Developers-Guide.xml: $(filter-out Samba3-Developers-Guide/index.xml,$(wildcard Samba3-Developers-Guide/*.xml)) Samba3-Developers-Guide-attributions.xml
$(DOCBOOKDIR)/Samba4-HOWTO.xml: $(filter-out Samba4-HOWTO/index.xml,$(wildcard Samba4-HOWTO/*.xml)) Samba4-HOWTO-attributions.xml

# Pseudo targets 
all: $(TARGETS)
everything: manpages3 pdf html-single html htmlman3 txt ps fo htmlhelp pearson 
release: manpages3 htmlman3 html pdf 
clean:
	@echo "Cleaning up..." 
	rm -rf $(OUTPUTDIR)/* $(DOCBOOKDIR)
	rm -f $(patsubst %.svg,%.png,$(foreach DOC,$(MAIN_DOCS),$($(DOC)-images-latex-dia))) \
			$(patsubst %.svg,%.pdf,$(foreach DOC,$(MAIN_DOCS),$($(DOC)-images-latex-svg))) \
			$(patsubst %.svg,%.eps,$(foreach DOC,$(MAIN_DOCS),$($(DOC)-images-latex-svg)))
	rm -f *-attributions.xml *.d *.tpt *.tex *.loc *.toc *.lof *.glo *.idx *.aux
	rm -f *-images-html*
	rm -f *-images-latex-* latexfigures
	rm -f xslt/figures/*pdf
	rm -f $(SMBDOTCONFDOC)/parameters.*.xml
	rm -f $(addsuffix .*,$(MAIN_DOCS))

# Output format targets
pdf: $(patsubst %,$(PDFDIR)/%.pdf,$(MAIN_DOCS))
dvi: $(patsubst %,$(DVIDIR)/%.dvi,$(MAIN_DOCS))
ps: $(patsubst %,$(PSDIR)/%.ps,$(MAIN_DOCS))
txt: $(patsubst %,$(TXTDIR)/%.txt,$(MAIN_DOCS))
txt-chunks: $(addsuffix -txt-chunks,$(MAIN_DOCS))
fo: $(patsubst %,$(FODIR)/%.fo,$(MAIN_DOCS))
fo-pdf: $(patsubst %,$(FOPDFDIR)/%.pdf,$(MAIN_DOCS))
tex: $(addsuffix .tex,$(MAIN_DOCS))
texi: $(patsubst %,$(TEXINFODIR)/%.texi,$(MAIN_DOCS))
texiinfo: $(patsubst %,$(TEXINFODIR)/%.info,$(MAIN_DOCS))
manpages3: $(patsubst $(MANPAGEDIR3)/%.xml,$(OUTPUTDIR)/manpages-3/%,$(MANPAGES3))
pearson: $(PEARSONDIR)/Samba3-HOWTO.xml
pearson-verify: $(PEARSONDIR)/Samba3-HOWTO.report.html
plucker: $(patsubst %,$(PLUCKERDIR)/%.pdb,$(MAIN_DOCS))
htmlman3: $(patsubst $(MANPAGEDIR3)/%.xml,$(HTMLDIR)/manpages-3/%.html,$(MANPAGES3)) $(HTMLDIR)/manpages-3/index.html
html-single: $(patsubst %,$(HTMLDIR)/%.html,$(MAIN_DOCS))
html: $(patsubst %,$(HTMLDIR)/%/index.html,$(MAIN_DOCS)) $(HTMLDIR)/index.html
htmlhelp: $(addprefix $(HTMLHELPDIR)/,$(MAIN_DOCS))
validate: $(addsuffix -validate,$(MAIN_DOCS))

# Intermediate docbook docs
#
$(DOCBOOKDIR)/%.xml: %/index.xml xslt/expand-sambadoc.xsl
	@echo "Converting Samba-specific tags for $*..."
	@mkdir -p $(@D)
	$(XSLTPROC) --stringparam latex.imagebasedir "$*/"  --stringparam noreference 0  --xinclude --output $@ xslt/expand-sambadoc.xsl $<

$(DOCBOOKDIR)/manpages-3/%.xml: $(MANPAGEDIR3)/%.xml xslt/expand-sambadoc.xsl
	@mkdir -p $(@D)
	$(XSLTPROC) --xinclude --stringparam noreference 0 --output $@ xslt/expand-sambadoc.xsl $<

$(DOCBOOKDIR)/manpages-3/index.xml: $(MANPAGES3) xslt/manpage-summary.xsl
	@mkdir -p $(@D)
	echo "<article><variablelist>" > $@
	$(XSLTPROC) xslt/manpage-summary.xsl $(MANPAGES3) >> $@
	@echo "</variablelist></article>" >> $@

# HTML docs

$(HTMLDIR)/index.html: htmldocs.html
	@mkdir -p $(@D)
	cp $< $@
	
$(HTMLDIR)/%/index.html: $(DOCBOOKDIR)/%.xml $(HTMLDIR)/%/samba.css xslt/html-chunk.xsl %-images-html-chunks
	@mkdir -p $(@D)
	$(XSLTPROC) --stringparam base.dir "$(HTMLDIR)/$*/" xslt/html-chunk.xsl $<

# Single large HTML files
$(OUTPUTDIR)/%/samba.css: xslt/html/samba.css
	@mkdir -p $(@D)
	cp $< $@

$(patsubst %,$(HTMLDIR)/%.html,$(MAIN_DOCS)): $(HTMLDIR)/%.html: %-images-html-single

$(HTMLDIR)/%.html: $(DOCBOOKDIR)/%.xml $(HTMLDIR)/samba.css xslt/html.xsl 
	$(XSLTPROC) --output $@ xslt/html.xsl $<

# Attributions
%-attributions.xml: 
	@echo "Generating attributions file $@ from $*/"
	@cp -f templates/attributions.xml $@
	$(XSLTPROC) --xinclude -o $@ xslt/generate-attributions.xsl $*/index.xml 

# Text files
$(TXTDIR)/%.txt: $(HTMLDIR)/%.html
	@mkdir -p $(@D)
	$(HTML2TEXT) -nobs -style pretty -o $@ $<

# Tex files
%.tex: %/index.xml xslt/latex.xsl
	@echo "Generating $@..."
	@mkdir -p $(@D)
	$(XSLTPROC) $(DB2LATEX_ARGS) --stringparam latex.imagebasedir "$*/" --xinclude --output $@ xslt/latex.xsl $<

latexfigures: $(LATEX_FIGURES)

$(PDFDIR)/%.pdf: %.pdf
	@mkdir -p $(@D)
	cp $< $@

%.idx: %.tex latexfigures
	-$(PDFLATEX) $<

%.ind: %.idx
	$(MAKEINDEX) $<

# Dependency files
%.d: $(DOCBOOKDIR)/%.xml xslt/generate-dependencies.xsl
	@echo "Generating dependency file for $*" 
	$(XSLTPROC) \
		--novalid \
		--stringparam txtbasedir "$(TXTDIR)/$*/" \
		--stringparam target "$*" \
		-o $@ xslt/generate-dependencies.xsl $<
	@echo "$*-images-latex-svg = \$$(wildcard \$$(addsuffix .svg, \$$($*-images-latex)))" >> $@
	@echo "$*-images-latex-eps: \$$(addsuffix .eps, \$$($*-images-latex))" >> $@
	@echo "$*-images-latex-pdf: \$$(patsubst %.svg, %.pdf, \$$($*-images-latex-svg))" >> $@
	@echo "$*-images-latex-png: \$$(filter-out \$$(patsubst %.svg,%.png,\$$($*-images-latex-svg)), \$$(addsuffix .png, \$$($*-images-latex)))" >> $@

	@echo >> $@
	@echo "\$$(HTMLDIR)/%: $*/%" >> $@
	@echo "	@mkdir -p \$$(@D)" >> $@
	@echo "	@cp \$$< \$$@" >> $@
	@echo >> $@
	@echo "\$$(HTMLDIR)/$*/%: $*/%" >> $@
	@echo "	@mkdir -p \$$(@D)" >> $@
	@echo "	@cp \$$< \$$@" >> $@
	@echo >> $@
	@echo "\$$(HTMLHELPDIR)/$*/%: $*/%" >> $@
	@echo "	@mkdir -p \$$(@D)" >> $@
	@echo "	@cp \$$< \$$@" >> $@
	@echo >> $@
	@echo "$*-images-html-single: \$$(addprefix \$$(HTMLDIR)/, \$$($*-images-html))" >> $@
	@echo "$*-images-html-chunks: \$$(addprefix \$$(HTMLDIR)/$*/, \$$($*-images-html))" >> $@
	@echo "$*-images-htmlhelp: \$$(addprefix \$$(HTMLHELPDIR)/$*/, \$$($*-images-html))" >> $@

ifdef OUTPUTDIR 
ifneq ($(MAKECMDGOALS),clobber)
-include $(addsuffix .d,$(MAIN_DOCS))
endif
endif

# Adobe PDF files
%.pdf: %.tex %.ind latexfigures %-images-latex-png %-images-latex-pdf
	-$(PDFLATEX) $<
	-$(PDFLATEX) $<
	-$(PDFLATEX) $<
	-$(PDFLATEX) $<
	$(THUMBPDF) --quiet $*.pdf
	-$(PDFLATEX) $<

# DVI files
$(DVIDIR)/%.dvi: %.dvi
	@mkdir -p $(@D)
	cp $< $@

%.dvi: %.tex %.idx %-images-latex-eps
	-$(LATEX) $< 

%.eps: %.svg
	$(INKSCAPE) -z -f $< --export-eps=$@

%.png: %.svg
	$(INKSCAPE) -z -f $< --export-png=$@

#%.pdf: %.svg
#	$(INKSCAPE) -z -f $< --export-pdf=$@

%.pdf: %.eps
	$(EPSTOPDF) $<

%.eps: %.png
	$(PNGTOPNM) $< | $(PNMTOPS) > $@

# PostScript files
$(PSDIR)/%.ps: $(DVIDIR)/%.dvi
	@mkdir -p $(@D)
	$(DVIPS) -o $@ $<

# Fo
$(FODIR)/%.fo: $(DOCBOOKDIR)/%.xml
	@mkdir -p $(@D)
	$(XSLTPROC) --output $@ xslt/fo.xsl $<

# PDF thru Fo
$(FOPDFDIR)/%.pdf: $(FODIR)/%.fo
	@mkdir -p $(@D)
	JAVA_OPTS=-Xmx250m $(FOP) -q -d $< -pdf $@

$(HTMLHELPDIR)/%: $(DOCBOOKDIR)/%.xml %-images-htmlhelp
	$(XSLTPROC) --stringparam htmlhelp.chm $*.chm \
				--stringparam manifest.in.base.dir "$@/" \
				--stringparam base.dir "$@/" \
	http://docbook.sourceforge.net/release/xsl/current/htmlhelp/htmlhelp.xsl $<

# Plucker docs
$(PLUCKERDIR)/%.pdb: $(HTMLDIR)/%.html 
	@mkdir -p $(@D)
	$(PLUCKERBUILD) -v -V 2 --stayonhost --zlib-compression -f $* -p $(PLUCKERDIR) file:$< 

# Texinfo docs
$(TEXINFODIR)/%.texi: $(DOCBOOKDIR)/%.xml
	@mkdir -p $(@D)
	cd $(@D) && $(DB2TEXI) $(shell pwd)/$<

$(TEXINFODIR)/%.info: $(TEXINFODIR)/%.texi
	$(MAKEINFO) --no-validate --force -o $@ "$<"

# Manpages
$(MANPAGEDIR3)/smb.conf.5.xml: $(SMBDOTCONFDOC)/parameters.all.xml $(SMBDOTCONFDOC)/parameters.service.xml $(SMBDOTCONFDOC)/parameters.global.xml

$(SMBDOTCONFDOC)/parameters.all.xml: $(wildcard $(SMBDOTCONFDOC)/*/*.xml) $(SMBDOTCONFDOC)/generate-file-list.sh
	$(SMBDOTCONFDOC)/generate-file-list.sh $(SMBDOTCONFDOC) > $@

$(SMBDOTCONFDOC)/parameters.global.xml: $(SMBDOTCONFDOC)/parameters.all.xml $(SMBDOTCONFDOC)/generate-context.xsl
	@echo "Generating list of global smb.conf options" 
	$(XSLTPROC) --xinclude --param smb.context "'G'" --output $(SMBDOTCONFDOC)/parameters.global.xml $(SMBDOTCONFDOC)/generate-context.xsl $<

$(SMBDOTCONFDOC)/parameters.service.xml: $(SMBDOTCONFDOC)/parameters.all.xml $(SMBDOTCONFDOC)/generate-context.xsl
	@echo "Generating list of share-mode smb.conf options" 
	$(XSLTPROC) --xinclude --param smb.context "'S'" --output $(SMBDOTCONFDOC)/parameters.service.xml $(SMBDOTCONFDOC)/generate-context.xsl $<

$(OUTPUTDIR)/%: $(DOCBOOKDIR)/%.xml xslt/man.xsl
	@mkdir -p $(@D)
	$(XSLTPROC) --output $@ xslt/man.xsl $<

# Individual smb.conf parameters
smb.conf-chunks: $(patsubst $(SMBDOTCONFDOC)/%.xml,$(HTMLDIR)/smb.conf/%.html,$(wildcard $(SMBDOTCONFDOC)/*/*.xml))
	
$(HTMLDIR)/smb.conf/%.html: $(SMBDOTCONFDOC)/%.xml
	@mkdir -p $(@D)
	$(XSLTPROC) --output $@ xslt/smb.conf-html.xsl $<

# Pearson compatible XML
$(PEARSONDIR)/%.xml: %/index.xml xslt/pearson.xsl
	@mkdir -p $(@D)
	$(XSLTPROC) --xinclude --output $@ xslt/sambadoc2pearson.xsl $<

$(PEARSONDIR)/%.report.html: $(PEARSONDIR)/%.xml
	@mkdir -p $(@D)
	-$(XMLLINT) --valid --noout $< 2> $@

# Validation verification
%-validate: %/index.xml
	cd $(<D) && $(XMLLINT) --xinclude --noent --postvalid --noout $(<F)

# Find undocumented parameters
undocumented: $(SMBDOTCONFDOC)/parameters.all.xml scripts/find_missing_doc.pl scripts/find_missing_manpages.pl
	$(PERL) scripts/find_missing_doc.pl $(SRCDIR)
	$(PERL) scripts/find_missing_manpages.pl $(SRCDIR)

samples: $(DOCBOOKDIR)/Samba3-HOWTO.xml xslt/extract-examples.xsl scripts/indent-smb.conf.pl
	@mkdir -p $(EXAMPLESDIR)
	$(XSLTPROC) --xinclude xslt/extract-examples.xsl $< > /dev/null 2> examples/README
	for I in examples/*.conf; do { ./scripts/indent-smb.conf.pl < $$I > $$I.tmp; mv $$I.tmp $$I; } done

# Archiving
archive: pdf
	@mkdir -p $(ARCHIVEDIR)
	cp $(PDFDIR)/Samba3-HOWTO.pdf $(ARCHIVEDIR)/TOSHARG-$(DATETIME).pdf
	cp $(PDFDIR)/Samba3-ByExample.pdf $(ARCHIVEDIR)/S3bE-$(DATETIME).pdf

# XSL scripts
xslt/html.xsl: xslt/html-common.xsl 
xslt/html-chunk.xsl: xslt/html-common.xsl 
xslt/latex.xsl: 
xslt/expand-sambadoc.xsl: 
xslt/generate-attributions.xsl: 
xslt/man.xsl:
xslt/pearson.xsl:

distclean clobber: clean
	rm Makefile.settings config.status config.log configure
	rm -rf autom4te.cache


# Always keep intermediate files if we can
.SECONDARY:
.PHONY: clean clobber archive release everything all $(TARGETS) latexfigures
